a) '1' parentheses necessary 
b) '0' parentheses necessary  
c) '1' parentheses necessary 
d) '0' parentheses necessary 
e) '1' parentheses necessary 
f) '0' parentheses necessary 
g) '0' parentheses does not necessary 
h) '1' outer braces are not needed, if we extract the inner brackets, then the symbol will touch only the first character and will be print -2
i) compile error r was not declared (if we declare r that will print 1) 
